Package io.vertx.json.schema

## Class OutputUnit

- java.lang.Object
- - io.vertx.json.schema.OutputUnit

-     public class OutputUnit
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutputUnit()` |
    `OutputUnit​(boolean valid)` |
    `OutputUnit​(JsonObject json)` |
    `OutputUnit​(String instanceLocation, String absoluteKeywordLocation, String keywordLocation, String error, OutputErrorType errorType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OutputUnit` | `addAnnotation​(OutputUnit annotation)` |
    `OutputUnit` | `addAnnotations​(List<OutputUnit> annotations)` |
    `OutputUnit` | `addError​(OutputUnit error)` |
    `OutputUnit` | `addErrors​(List<OutputUnit> errors)` |
    `void` | `checkValidity()` |
    `String` | `getAbsoluteKeywordLocation()` |
    `List<OutputUnit>` | `getAnnotations()` |
    `String` | `getError()` |
    `List<OutputUnit>` | `getErrors()` |
    `OutputErrorType` | `getErrorType()` |
    `String` | `getInstanceLocation()` |
    `String` | `getKeywordLocation()` |
    `Boolean` | `getValid()` |
    `OutputUnit` | `setAbsoluteKeywordLocation​(String absoluteKeywordLocation)` |
    `OutputUnit` | `setAnnotations​(List<OutputUnit> annotations)` |
    `OutputUnit` | `setError​(String error)` |
    `OutputUnit` | `setErrors​(List<OutputUnit> errors)` |
    `OutputUnit` | `setErrorType​(OutputErrorType errorType)` |
    `OutputUnit` | `setInstanceLocation​(String instanceLocation)` |
    `OutputUnit` | `setKeywordLocation​(String keywordLocation)` |
    `OutputUnit` | `setValid​(Boolean valid)` |
    `ValidationException` | `toException​(Object input)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputUnit

          public OutputUnit()

    - #### OutputUnit

          public OutputUnit​(JsonObject json)

    - #### OutputUnit

          public OutputUnit​(boolean valid)

    - #### OutputUnit

          public OutputUnit​(String instanceLocation,
                            String absoluteKeywordLocation,
                            String keywordLocation,
                            String error,
                            OutputErrorType errorType)

  - ### Method Detail

    - #### getValid

          public Boolean getValid()

    - #### setValid

          public OutputUnit setValid​(Boolean valid)

    - #### getAbsoluteKeywordLocation

          public String getAbsoluteKeywordLocation()

    - #### setAbsoluteKeywordLocation

          public OutputUnit setAbsoluteKeywordLocation​(String absoluteKeywordLocation)

    - #### getKeywordLocation

          public String getKeywordLocation()

    - #### setKeywordLocation

          public OutputUnit setKeywordLocation​(String keywordLocation)

    - #### getInstanceLocation

          public String getInstanceLocation()

    - #### setInstanceLocation

          public OutputUnit setInstanceLocation​(String instanceLocation)

    - #### getError

          public String getError()

    - #### setError

          public OutputUnit setError​(String error)

    - #### getErrors

          public List<OutputUnit> getErrors()

    - #### setErrors

          public OutputUnit setErrors​(List<OutputUnit> errors)

    - #### addError

          public OutputUnit addError​(OutputUnit error)

    - #### addErrors

          public OutputUnit addErrors​(List<OutputUnit> errors)

    - #### getAnnotations

          public List<OutputUnit> getAnnotations()

    - #### setAnnotations

          public OutputUnit setAnnotations​(List<OutputUnit> annotations)

    - #### getErrorType

          public OutputErrorType getErrorType()

    - #### setErrorType

          public OutputUnit setErrorType​(OutputErrorType errorType)

    - #### addAnnotation

          public OutputUnit addAnnotation​(OutputUnit annotation)

    - #### addAnnotations

          public OutputUnit addAnnotations​(List<OutputUnit> annotations)

    - #### checkValidity

          public void checkValidity()
                             throws JsonSchemaValidationException

      Throws:
        `JsonSchemaValidationException`

    - #### toException

          public ValidationException toException​(Object input)

    - #### toJson

          public JsonObject toJson()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`